import { timeFormat } from 'd3';

export const AxisBottom = ({
  xScale,
  innerHeight,
  axisOffset = 25,
}) => {
  const tickFormat = timeFormat('%b %d');

  return xScale.ticks(5).map((t) => (
    <g transform={`translate(${xScale(t)},0)`}>
      <text
        y={innerHeight + axisOffset}
        dy="0.32em"
        textAnchor="middle"
      >
        {tickFormat(t)}
      </text>
      <line y2={innerHeight} stroke="#ddd" />
    </g>
  ));
};
